package com.cim.idm.wmspackage.object.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.object.management.data
 *  NAME    : ConstantDef.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class ConstantDef extends FieldAccessor implements DataInfo<ConstantDefKey>
{
	private ConstantDefKey	key;

	private String			constantValue;
	private String			description;
	private String			cacheFlag;

	public ConstantDef()
	{
	}

	public ConstantDefKey getKey()
	{
		return this.key;
	}

	public void setKey(ConstantDefKey key)
	{
		this.key = key;
	}

	public String getConstantValue()
	{
		return this.constantValue;
	}

	public void setConstantValue(String constantValue)
	{
		this.constantValue = constantValue;
	}

	public String getDescription()
	{
		return this.description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getCacheFlag()
	{
		return this.cacheFlag;
	}

	public void setCacheFlag(String cacheFlag)
	{
		this.cacheFlag = cacheFlag;
	}

}